Error when I launch Boinc Manager

Bug #1902210 reported by J-Paul BERARD
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
High
Unassigned
Groovy
Undecided
Unassigned

Bug Description

[ Impact ]
* Boinc manager doesn't start due to a missing file

[ Test case ]
* try to open the manager

[ Regression potential ]
* low, its a new configuration file, containing the user password, and the current package is not usable

[ Other Info ]
Ubuntu 20.10 updated from 20.04
Boinc client works but when I try to launch Boinc Manager, I get the error :

gui_rpc_auth.cfg exists but can't be read

And the Boinc Manager window doesn't display the jobs.

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: boinc 7.16.15+dfsg.is.7.16.11+dfsg-1
ProcVersionSignature: Ubuntu 5.8.0-26.27-generic 5.8.14
Uname: Linux 5.8.0-26-generic x86_64
ApportVersion: 2.20.11-0ubuntu50
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Fri Oct 30 10:50:09 2020
InstallationDate: Installed on 2020-04-10 (202 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
PackageArchitecture: all
SourcePackage: boinc
UpgradeStatus: Upgraded to groovy on 2020-10-24 (5 days ago)

Revision history for this message
J-Paul BERARD (arverne) wrote :
Changed in boinc (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Revision history for this message
J-Paul BERARD (arverne) wrote :

I solved the problem by deleting the gui_rpc_auth.cfg files. I found 2, in :
/etc/boinc-client/
/var/lib/boinc-client/

Revision history for this message
J-Paul BERARD (arverne) wrote :

And the 2 files didn't belong to the same user group (about the permissions)…

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

I'm uploading the fix, will ask to test once SRU team approves it

Changed in boinc (Ubuntu):
status: Confirmed → Fix Released
Changed in boinc (Ubuntu Groovy):
status: New → In Progress
description: updated
Revision history for this message
Robie Basak (racb) wrote :

> the current package is not usable

AIUI, it is usable, just not by default, because a workaround is available? In this case I don't think this is a justification for ignoring normal SRU requirements to avoid regressing existing users. Please provide an upload that either contains a minimal fix or otherwise complies with SRU policy.

Changed in boinc (Ubuntu Groovy):
status: In Progress → Incomplete
Revision history for this message
Robie Basak (racb) wrote : Proposed package upload rejected

An upload of boinc to groovy-proposed has been rejected from the upload queue for the following reason: "Upload contains many changes which appear to contradict SRU policy to avoid regressions, and information on them has not been provided.".

Revision history for this message
Brian Murray (brian-murray) wrote :

The Groovy Gorilla has reached end of life, so this bug will not be fixed for that release

Changed in boinc (Ubuntu Groovy):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers